Subject: Re: RFC/Commit: New ocp id for CANbus devs

From: Kumar Gala <[email-masked]>
Date: Wed, 9 Mar 2005 13:24:35 -0600

Sylvain,

Thanks, the i2c driver that you used on the OCP side should work for 
you on the platform device side as well.  Also, do you plan on using 
the ppc_sys stuff for this?  Hopefully yes.

- kumar

On Mar 9, 2005, at 12:37 PM, Sylvain Munaut wrote:

> Andrey Volkov wrote:
>
> > Hi Kumar:
>  >
>  >> Is this for 2.6? 
> >
>  > Oh sorry, certainly for 2.6 (Sylvain's kernel more precisely).
>  > But since, Sylvain not maintainer of ocp_ids.h, so I send
>  > this patch to Paul (who create it, am I right?).
>  >
>  >> If so, 5200 needs to be moved to using the new driver model and
> >> platform devices.  Take a look at support for MPC85xx or marvell
> >> (mv64x60) as examples.
>  >>
>  >> - kumar
>  >
>  > Kumar, please, more cleanly, what did you want to say? If you told 
> about
>  > board_ocp[] in lite5200.c (platform specific). Then yes, I use it, 
> but
> > not mpc5200.c
>  >
>  No, what he said is that MPC5200 needs to be moved to use the platform
> bus driver model.
>
> I'll post the patch doing just that on Monday along with PCI and sparse
> clean-ups. (Unless something goes wrong ...)
>
>
>
>     Sylvain